# List shipments for an order

Endpoint: GET /orders/{direction}/{orderID}/shipments
Version: 1.0.457.36910
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: FullAccess, OrderAdmin, ShipmentReader

## Path parameters:

  - `direction` (string, required)
    Direction of the order, from the current user's perspective.

  - `orderID` (string, required)
    ID of the order.

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.ID` (string)

  - `Items.BuyerID` (string)

  - `Items.Shipper` (string)
    For reference only, does not influence any OrderCloud behavior.

  - `Items.DateShipped` (string)
    In order to properly trigger OrderShipped emails, this date must be NULL on initial create. Update with the date only when all of the Shipment items have been created. Once all of an order's items exist on a shipment that has a DateShipped populated the OrderShipped message sender will trigger and Order.Status will be updated to Complete.

  - `Items.DateDelivered` (string)

  - `Items.TrackingNumber` (string)

  - `Items.Cost` (number)
    For reference only, does not influence any OrderCloud behavior.

  - `Items.OwnerID` (string)
    ID of the organization that owns the shipment. Only the marketplace owner can override the OwnerID on create.

  - `Items.xp` (object)

  - `Items.Account` (string)

  - `Items.FromAddressID` (string)
    Marketplace owner or supplier AddressID where the product will be shipped from.

  - `Items.ToAddressID` (string)

  - `Items.FromAddress` (object)
    Example: {"ID":"","DateCreated":"2018-01-01T00:00:00-06:00","CompanyName":"","FirstName":"","LastName":"","Street1":"","Street2":"","City":"","State":"","Zip":"","Country":"","Phone":"","AddressName":"","xp":{…

  - `Items.FromAddress.ID` (string)

  - `Items.FromAddress.DateCreated` (string)

  - `Items.FromAddress.CompanyName` (string)

  - `Items.FromAddress.FirstName` (string)

  - `Items.FromAddress.LastName` (string)

  - `Items.FromAddress.Street1` (string)

  - `Items.FromAddress.Street2` (string)

  - `Items.FromAddress.City` (string)

  - `Items.FromAddress.State` (string)

  - `Items.FromAddress.Zip` (string)

  - `Items.FromAddress.Country` (string)

  - `Items.FromAddress.Phone` (string)

  - `Items.FromAddress.AddressName` (string)

  - `Items.FromAddress.xp` (object)

  - `Items.ToAddress` (object)
    Example: {"ID":"","DateCreated":"2018-01-01T00:00:00-06:00","CompanyName":"","FirstName":"","LastName":"","Street1":"","Street2":"","City":"","State":"","Zip":"","Country":"","Phone":"","AddressName":"","xp":{…

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX:

  - `4XX` (unknown)
    Expected errors range from 400-409. Anything in the 5XX range indicates a server issue and should be reported to support.

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: 404

  - `ErrorCode` (string)
    Example: NotFoundError

  - `Message` (string)
    Example: Object not found

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}

